%global dlrn_nvr tempest-33.0.0-1.20230406153813.1580f6f
%global dlrn 1
%define upstream_version 33.0.0
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa7475c5f2122fec3f90343223fe3bf5aad1080e4
%global project tempest
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global with_doc 0
# guard for Red Hat OpenStack Platform supported tempest
%global repo_bootstrap 0
%global rhosp 1
%global common_desc \
This is a set of integration tests to be run against a live OpenStack cluster.\
Tempest has batteries of tests for OpenStack API validation, Scenarios, and \
other specific tests useful in validating an OpenStack deployment.

Name:           openstack-%{project}
Epoch:          1
Version: 33.0.0
Release: 1.20230406153813.1580f6f%{?dist}
Summary:        OpenStack Integration Test Suite (Tempest)
License:        ASL 2.0
Url:            https://launchpad.net/tempest
Source0: tempest-33.0.0-1.20230406153813.1580f6f.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=1580f6f8437bd07e008ce8451388765d4b9b268f
Patch0001: 0001-Allow-SSH-connection-callers-to-not-permit-agent-usa.patch
Patch0002: 0002-Allow-float-value-when-overriding-downtime.patch
Patch0003: 0003-Fix-creation-of-requested-creds-within-the-same-proj.patch
Patch0004: 0004-Update-multiattach-tests.patch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        http://tarballs.openstack.org/tempest/tempest-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif
BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
%endif

BuildRequires:  git-core
BuildRequires:  python3-oslo-config
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-defusedxml
BuildRequires:  openstack-macros

Requires:       python3-tempest = %{epoch}:%{version}-%{release}

%if 0%{?repo_bootstrap} == 0
Requires:       python3-tempestconf
%endif

%description
%{common_desc}

%package -n    python3-%{project}
Summary:       Tempest Python library

%{?python_provide:%python_provide python2-%{project}}

# Obsoletes python-tempest-lib to avoid breakage
# during upgrade from Newton onwards to till this
# release
Obsoletes:     python-tempest-lib

# horizon-tempest-plugin was merged to base tempest in 26.1.0
# https://docs.openstack.org/releasenotes/tempest/v26.1.0.html#release-notes-26-1-0
# https://opendev.org/openstack/tempest/commit/eb3c7e37bcf6acae63e15e7ae57f8daf0a261c73
Obsoletes: python3-horizon-tests-tempest

Requires:      python3-cliff >= 2.8.0
Requires:      python3-debtcollector >= 1.2.0
Requires:      python3-fixtures >= 3.0.0
Requires:      python3-jsonschema >= 3.2.0
Requires:      python3-netaddr >= 0.7.18
Requires:      python3-oslo-concurrency >= 3.26.0
Requires:      python3-oslo-config >= 2:5.2.0
Requires:      python3-oslo-log >= 3.36.0
Requires:      python3-oslo-serialization >= 2.18.0
Requires:      python3-oslo-utils >= 3.33.0
Requires:      python3-os-testr >= 0.8.0
Requires:      python3-paramiko >= 2.7.0
Requires:      python3-pbr >= 2.0.0
Requires:      python3-prettytable >= 0.7.1
Requires:      python3-six >= 1.10.0
Requires:      python3-stevedore >= 1.20.0
Requires:      python3-stestr >= 1.0.0
Requires:      python3-testtools >= 2.2.0
Requires:      python3-urllib3 >= 1.21.1
Requires:      python3-subunit >= 1.0.0
Requires:      python3-cryptography >= 2.1
Requires:      python3-defusedxml >= 0.7.1

%if 0%{?rhel} == 8
Requires:      python3-unittest2 >= 1.1.0
%endif
Requires:      python3-yaml >= 3.12

%description -n python3-%{project}
%{common_desc}

This package contains the tempest python library.

%package -n     python3-%{project}-tests
Summary:        Python Tempest tests
Requires:       python3-tempest = %{epoch}:%{version}-%{release}
%{?python_provide:%python_provide python2-%{project}-tests}

BuildRequires:  python3-mock
BuildRequires:  python3-oslotest
BuildRequires:  python3-subunit
BuildRequires:  python3-oslo-log
BuildRequires:  python3-jsonschema
BuildRequires:  python3-urllib3
BuildRequires:  python3-oslo-concurrency
BuildRequires:  python3-paramiko
BuildRequires:  python3-cliff
BuildRequires:  python3-pycodestyle
BuildRequires:  python3-os-testr
BuildRequires:  python3-stestr

BuildRequires:  python3-PyYAML


Requires:       python3-mock
Requires:       python3-oslotest

%description -n python3-%{project}-tests
%{common_desc}

This package contains tests for the tempest python library.

%if 0%{?repo_bootstrap} == 0
%package -n    %{name}-all
Summary:       All OpenStack Tempest Plugins

Requires:      %{name} = %{epoch}:%{version}-%{release}

Requires:       python3-cinder-tests-tempest
Requires:       python3-designate-tests-tempest
Requires:       python3-heat-tests-tempest
Requires:       python3-ironic-tests-tempest
Requires:       python3-keystone-tests-tempest
Requires:       python3-neutron-tests-tempest
Requires:       python3-manila-tests-tempest
Requires:       python3-telemetry-tests-tempest
Requires:       python3-networking-l2gw-tests-tempest
Requires:       python3-patrole-tests-tempest
Requires:       python3-novajoin-tests-tempest
Requires:       python3-barbican-tests-tempest
# octavia-tests-tempest missing due to https://bugs.centos.org/view.php?id=17139

%if 0%{?rhosp} == 0
Requires:       python3-kuryr-tests-tempest
Requires:       python3-magnum-tests-tempest
Requires:       python3-mistral-tests-tempest
Requires:       python3-murano-tests-tempest
Requires:       python3-sahara-tests-tempest
Requires:       python3-trove-tests-tempest
Requires:       python3-vitrage-tests-tempest
Requires:       python3-watcher-tests-tempest
Requires:       python3-zaqar-tests-tempest
%endif

%description -n %{name}-all
%{common_desc}

This package contains all the tempest plugins.
%endif

%if 0%{?with_doc}
%package -n %{name}-doc
Summary:        %{name} documentation

BuildRequires:  python3-sphinx
BuildRequires:  python3-openstackdocstheme
BuildRequires:  python3-sphinxcontrib-rsvgconverter

%description -n %{name}-doc
%{common_desc}

It contains the documentation for Tempest.
%endif

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n tempest-%{upstream_version} -S git
# have dependencies being handled by rpms, rather than requirement files
%py_req_cleanup

# remove shebangs and fix permissions
RPMLINT_OFFENDERS="tempest/cmd/list_plugins.py \
tempest/cmd/cleanup.py \
tempest/cmd/cleanup_service.py \
tempest/cmd/verify_tempest_config.py \
tempest/cmd/account_generator.py \
tempest/lib/cmd/skip_tracker.py \
tempest/lib/cmd/check_uuid.py"
sed -i '1{/^#!/d}' $RPMLINT_OFFENDERS
chmod u=rw,go=r $RPMLINT_OFFENDERS

%build
%{py3_build}

%if 0%{?with_doc}
# Disable Build the plugin registry step as it uses git to clone
# projects and then generate tempest plugin projects list.
# It is also time taking.
export PYTHONPATH=.
export GENERATE_TEMPEST_PLUGIN_LIST='False'
sphinx-build -b html doc/source doc/build/html
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{py3_install}

# Generate tempest config
mkdir -p %{buildroot}%{_sysconfdir}/%{project}/
oslo-config-generator --config-file tempest/cmd/config-generator.tempest.conf \
    --output-file %{buildroot}%{_sysconfdir}/%{project}/tempest.conf

mkdir -p %{buildroot}/etc/tempest
mv %{buildroot}/usr/etc/tempest/* %{buildroot}/etc/tempest

%check
export OS_TEST_PATH='./tempest/tests'
export PATH=$PATH:$RPM_BUILD_ROOT/usr/bin
export PYTHONPATH=$PWD
rm -f $OS_TEST_PATH/test_hacking.py
PYTHON=%{__python3} stestr --test-path $OS_TEST_PATH run

%files
%license LICENSE
%doc README.rst
%{_bindir}/tempest
%{_bindir}/check-uuid
%{_bindir}/skip-tracker
%{_bindir}/subunit-describe-calls
%{_sysconfdir}/%{project}/*sample
%{_sysconfdir}/%{project}/*yaml
%config(noreplace) %{_sysconfdir}/%{project}/*.conf

%files -n python3-%{project}
%license LICENSE
%{python3_sitelib}/%{project}
%{python3_sitelib}/%{project}*.egg-info
%exclude %{python3_sitelib}/tempest/tests

%files -n python3-%{project}-tests
%license LICENSE
%{python3_sitelib}/tempest/tests

%if 0%{?repo_bootstrap} == 0
%files -n %{name}-all
%license LICENSE
%endif

%if 0%{?with_doc}
%files -n %{name}-doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Thu Apr 06 2023 OSP Prod Chain <dev-null@redhat.com> 1:33.0.0-1.20230406153813.1580f6f
- Update multiattach tests (rhbz#2184840)

* Mon Mar 20 2023 OSP Prod Chain <dev-null@redhat.com> 1:33.0.0-1.20230320113912.1580f6f
- Fix creation of requested creds within the same project (rhbz#2178049)

* Wed Mar 08 2023 OSP Prod Chain <dev-null@redhat.com> 1:33.0.0-1.20230308123908.1580f6f
- Allow float value when overriding downtime (rhbz#2171815)

* Wed Mar 08 2023 OSP Prod Chain <dev-null@redhat.com> 1:33.0.0-1.20230308104006.1580f6f
- Allow SSH connection callers to not permit agent usage (rhbz#2166951)

* Mon Mar 06 2023 OSP Prod Chain <dev-null@redhat.com> 1:33.0.0-1.20230306213842.1580f6f
- Update patches

* Thu Mar 02 2023 OSP Prod Chain <dev-null@redhat.com> 1:33.0.0-1.20230303003938.1580f6f
- Update patches
- Pin stable/zed constraint in tox to release 33.0.0
- End support for stable/wallaby
- Fix Compute Live Migration tests with Ironic
- Fix python classifier for py39
- Cleanup tox.ini
- Set back to use Bionic for Ussuri, Train and Stein
- Add new tempest job enable the rbac scope checks and new defaults
- Add test for compute server external event API
- Migrate tempest jobs to Ubuntu Jammy (22.04)
- Fix error KeyError: 'addresses' for two tests
- Add replace location test
- Add tests for image location manipulation
- Fix server id reference in _rebuild_server_and_check()
- Clarify the enforce_scope config option help message
- [Doc] Fix python version in unit tests document
- Fix image import tests for read-only stores
- Updated document for the correct stable branches support
- Fix security vulnerabilities using Bandit
- Add a boot-snapshot-boot test
- All image clients must use image build timeout
- Add Tempest gate job for stable/zed
- Add release notes page for version 32.0.0
- Update server details before getting fixed IP
- Switch to the master constraint in tox.ini
- Remove transfer-encoding headers from test
- Add tempest-multinode-full-py3 job in gate pipeline
- Add nova-multi-cell job in experimental pipeline

* Wed Mar 01 2023 OSP Prod Chain <dev-null@redhat.com> 1:32.0.0-1.20230301215046.bc12bd4
- Update patches

* Mon Oct 03 2022 OSP Prod Chain <dev-null@redhat.com> 1:32.0.0-1.20221003163709.bc12bd4
- Update patches
- Add releasenote to tag the Tempest for Zed release
- Use stable constraint in tox to release new tag for Zed
- Fix creds cleanup for system scope
- Update volume and volume transfer schema
- Add testing for glance-download import method
- Tempest test for checking unshelve to host
- Allow free-form image import parameters
- Fix test_server_actions run validation
- Wait for SSHABLE in volume tests
- Add waiter for object creation
- Clean up scenario floating IP waiting
- Add tempest coverage for new cache API
- Wait for floating IP assocation in test_minimum_basic test
- Allow multiple instances on create_test_server
- move tempest-integrated-compute-centos-9-stream to periodic
- Add config option for algo to use in temp_url tests
- Skip test_container_synchronization
- Remove unstable_test decorator
- Remove unstable_test decorator
- Fix create_server_snapshot for microversion
- Fix backward compatibility of compare volume stats
- Add release notes page for version 31.1.0
- Add image cache client
- Add LUKS v2 tests
- Switch the tox contraints back to master
- Test fips job on centos-9

* Mon Oct 03 2022 OSP Prod Chain <dev-null@redhat.com> 1:31.1.0-1.20221003153712.56d259d
- Add releasenote to tag the Tempest for Zed release
- Use stable constraint in tox to release new tag for Zed
- Fix creds cleanup for system scope
- Update volume and volume transfer schema
- Add testing for glance-download import method
- Tempest test for checking unshelve to host
- Allow free-form image import parameters
- Fix test_server_actions run validation
- Add waiter for object creation
- Clean up scenario floating IP waiting
- Add tempest coverage for new cache API
- Allow multiple instances on create_test_server
- move tempest-integrated-compute-centos-9-stream to periodic
- Skip test_container_synchronization
- Remove unstable_test decorator
- Remove unstable_test decorator
- Fix create_server_snapshot for microversion
- Fix backward compatibility of compare volume stats
- Add release notes page for version 31.1.0
- Add image cache client
- Add LUKS v2 tests
- Switch the tox contraints back to master
- Test fips job on centos-9

* Wed Aug 10 2022 OSP Prod Chain <dev-null@redhat.com> 1:31.1.0-1.20220810164215.56d259d
- Wait for SSHABLE in volume tests (rhbz#2114689)

* Wed Aug 03 2022 OSP Prod Chain <dev-null@redhat.com> 1:31.1.0-1.20220803113906.56d259d
- Wait for floating IP assocation in test_minimum_basic test (rhbz#2109862)

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 1:31.1.0-1.20220727152503.56d259d
- Add config option for algo to use in temp_url tests (rhbz#2107098)

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 1:31.1.0-1.20220718115815.56d259d
- Update patches
- Verify top key in _parse_body
- Use yoga stable contraint in tox to release 31.1.0
- Make nova-live-migration voting
- compute: Move volume attached live migration tests to use SSHABLE
- Create default net in ImagesNegativeTestJSON
- Add py310 job in gate
- compute: Move volume attached live migration tests to use SSHABLE
- Add release notes page for version 31.0.0
- Stop running openstacksdk-functional-devstack job on ussuri
- Fix supported releases and py versions in the doc
- Switch back the tox constraint to master
- Use yoga stable constraint in tox to release 31.0.0
- Drop py3.6 and py3.7 from Tempest
- Create router and dhcp when create_default_network set
- Wait for guest to boot before attach a volume
- Use UPPER_CONSTRAINTS_FILE for stable/victoria testing
- Use UPPER_CONSTRAINTS_FILE for stable/ussuri testing
- End support for stable/victoria
- Add verification when restoring backups
- Remove orchestration_client from tempest tree
- Make tempest plugin sanity job voting again
- tempurl: Deprecate sha1 signatures
- Unblock gate to temporary remove the py3.6|7 job
- Fix compare volume stats for storage_protocols
- Make test_server_actions.resource_setup() wait for SSHABLE
- Validate network downtime during live migration
- Wait for guest after resize
- Pass the global request ID as logging context
- Remove compute api_extensions config option
- Make recreate_server() wait until SSHABLE
- Add tempest-slow stable branch jobs on Tempest master gate
- Fix the integrated-gate-compute job template
- Drop centos 8 stream testing
- Fix remote_client param description
- Switch to ecdsa ssh key type by default
- Fix: change values to items as keys and values are all used
- Remove reference of openstack-health
- End support for stable/ussuri
- Allows to skip wait for volume create
- Fix test_basic_metadata_definition_namespaces
- Update volume schema for microversion
- Add  another scenario testcase  test_minimum_basic

* Mon Apr 25 2022 OSP Prod Chain <dev-null@redhat.com> 1:30.1.0-0.20220425214250.44dac69
- Update patches

* Mon Apr 18 2022 OSP Prod Chain <dev-null@redhat.com> 1:30.1.0-0.20220418203200.44dac69
- Update patches
- Allow rulesets modification in secgroups
- Make test_tagged_attachment wait for SSHABLE
- Use server hostname when creating secure websocket
- Use wrap_socket from ssl.SSLContext instead of ssl
- Add Tempest gate job for stable/yoga
- Move ServerStableDeviceRescueTest to wait for SSH-able server
- Make rescue, volume attachment compute tests to use SSH-able server
- Move ssh|ping-able server logic into separate method
- Fix compute_unified decoration
- Add release notes page for version 30.0.0
- Add release notes pages for 29.1.0 and 29.2.0
- Switch to the master constraint in tox.ini
- Add releasenote to tag the Tempest for Yoga release
- Use stable constraint in tox to release new tag for Yoga
- Add compute response schema for microversion 2.75
- Add schema for compute 2.45 microversion
- Tests for nova unified quotas
- Add tempest-full-centos-9-stream non voting job
- add image schemas for image
- API for list group types by parameter sort/public
- compute: Move device tagging tests to use wait_until=SSHABLE
- compute: Move volume attach tests to use wait_until=SSHABLE
- Introduce PINGABLE and SSHABLE waiters and wait_until state support
- Add grenade-skip-level jobs to integrated-gate
- Fix floating ip timeout issues with uwsgi enabled
- Make stable/ussuri job voting
- Add logging to metadata parsing
- Fix inconsistent type of default value
- Fix TypeError in QoSBandwidthAndPacketRateTests
- Append random int to new flavor name in QoSBandwidthAndPacketRateTests
- Add configuration for compute unified limits feature
- Fix test_rebuild_server test by waiting for floating ip
- Fix stable/train testing with tempest 26.1.0
- Remove usage of unittest2
- Use LOG.warning instead of deprecated LOG.warn
- Move get_server_ip into tempest.common.compute
- Revert "Check VM's console log before trying to SSH to it."
- Fix compute quota classes schema for v2.50 and v2.57
- Fix server group schema for compute microversion 2.64

* Thu Mar 10 2022 OSP Prod Chain <dev-null@redhat.com> 1:29.2.1-0.20220310222252.86db21e
- Update patches
- Patch paramiko
- Make broken tempest-full-py3-opensuse15 job only until stable/xena
- Revert "Revert "Make centos8 stream job non voting for bug#1957941""
- Add support for ecdsa keys
- Revert "Make centos8 stream job non voting for bug#1957941"
- Update aggregate tests for bug#1907775
- Make centos8 stream job non voting for bug#1957941
- Add test coverage for bug 1943724
- Set default value of --concurrency to 2
- wait_for_server_status(): report original request ID if failure
- Clean up wait_for_resource_deletion message
- Fix: Schema validation of volume list detail
- Add --libpath argv option to fix unittest failure
- Add fields in hypervisor schema for 2.33 and 2.53
- Remove stable/train jobs from master gate
- Add flavor extra spec validation tests
- Modify the response example in test_subnetpools_client
- add the test of router test client
- Moving API microversion fixture in resource_setup
- Deprecate the old API microversion fixture
- Don't override images client in compute admin tests
- Replace deprecated assertDictContainsSubset
- Revert "Skip 3.19 test_reset_group_snapshot_status"
- Test Network QoS minimum packet rate scenarios
- Add openstacksdk-functional-devstack in integrated gates
- This patch creates the network v2.0 floating-ips-port-forwarding client.
- Take domain_id from config in some tests.
- Change extra_size from hardcoded 1 to CONF.volume.volume_size_extend
- add delete group type testcase
- delete all items of the group type spec
- zuul: Limit tempest-integrated-compute-centos-8-stream to >= stable/wallaby
- Update Interop doc
- Remove race from wait_for_interface_detach waiter
- Add microversion schemas for os-instance-actions
- Add QoS minimum packet rate rule client
- zuul: Add a CentOS 8 stream job to integrated-gate-compute
- Test all supported python version for stable branch
- Refactor existing QoS min bw tests
- Consolidate client usage in MinBwAllocationPlacementTest
- hacking: Ignore H405
- Add floating IP waiter
- Test delete security group will clear its associated rules
- Reactivate image before deletion
- edit check result and make sure the query result correct
- Define default OS_TEST_TIMEOUT for every tempest tox env
- add schemas members for image

* Mon Feb 28 2022 OSP Prod Chain <dev-null@redhat.com> 1:29.1.0-0.20220228151851.8cd0950
- Update patches

* Tue Feb 22 2022 OSP Prod Chain <dev-null@redhat.com> 1:29.1.0-0.20220222222237.8cd0950
- Update patches

* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 1:29.1.0-0.20220217162335.8cd0950
- Fix floating ip timeout issues with uwsgi enabled (rhbz#2007585)
- Fix test_rebuild_server test by waiting for floating ip (rhbz#2007585)

* Thu Feb 10 2022 OSP Prod Chain <dev-null@redhat.com> 1:29.1.0-0.20220210212707.8cd0950
- Add floating IP waiter
- RDO distgit: Remove usage of unittest2
- [DOWNSTREAM-ONLY] Add --libpath argv option to fix unittest failure

* Tue Feb 01 2022 OSP Prod Chain <dev-null@redhat.com> 1:29.1.0-0.20220201102321.8cd0950
- Add floating IP waiter
- RDO distgit: Remove usage of unittest2
- [DOWNSTREAM-ONLY] Add --libpath argv option to fix unittest failure

* Mon Jan 10 2022 OSP Prod Chain <dev-null@redhat.com> 1:29.1.0-0.20220110200639.8cd0950
- RDO distgit: Remove usage of unittest2
- [DOWNSTREAM-ONLY] Add --libpath argv option to fix unittest failure

* Mon Jan 10 2022 OSP Prod Chain <dev-null@redhat.com> 1:29.1.0-0.20220110192138.8cd0950
- RDO distgit: Remove usage of unittest2
- [DOWNSTREAM-ONLY] Add --libpath argv option to fix unittest failure

* Mon Jan 10 2022 OSP Prod Chain <dev-null@redhat.com> 1:29.1.0-0.20220110161928.8cd0950
- RDO distgit: Remove usage of unittest2
- [DOWNSTREAM-ONLY] Add --libpath argv option to fix unittest failure

* Tue Jan 04 2022 OSP Prod Chain <dev-null@redhat.com> 1:29.1.0-0.20220104201854.8cd0950
- [DOWNSTREAM-ONLY] Add --libpath argv option to fix unittest failure

* Mon Jan 03 2022 OSP Prod Chain <dev-null@redhat.com> 1:29.1.0-0.20220103211844.8cd0950
- Update patches

* Thu Dec 16 2021 OSP Prod Chain <dev-null@redhat.com> 1:29.1.0-0.20211216212007.8cd0950
- Update patches

* Wed Dec 15 2021 OSP Prod Chain <dev-null@redhat.com> 1:29.1.0-0.20211215221903.8cd0950
- Update patches

* Wed Dec 08 2021 OSP Prod Chain <dev-null@redhat.com> 1:29.1.0-0.20211208211901.8cd0950
- Update patches

* Tue Nov 30 2021 OSP Prod Chain <dev-null@redhat.com> 1:29.1.0-0.20211130101900.8cd0950
- Update patches
- Prepare MinBwAllocationPlacementTest for new neutron API ext
- Adding Bandwidth Limit QoS rule client to Manager
- Use lib.commom.api_microversion_fixture to set volume, compute API microversion in volume API testing
- Get rid of jsonschema.compat usage
- Improve cleanup after Swift testing
- Mark unstable test_create_object_with_transfer_encoding
- Fix IPv6 localhost replacement in Swift container sync test
- Add Tempest gate job for stable/xena
- Revert "Skip test_qos_min_bw_allocation_basic when not supported"
- Skip snaphost tests unless snapshot feature is enabled
- Fix test_fix_argument_yes
- [OVN] Remove OVN metadata ports from network port list
- object_storage: retry object creation on Conflict
- Add release notes page for version 29.0.0, 28.1.0, 28.0.0
- Use the master constraint in tox.ini again
- Add releasenote to tag the Tempest for Xena release
- Use stable constraint in tox to release new tag for Xena
- Fix tempest plugins sanity jobs by exclude failing plugins
- Fix unused parameters in _create_subnet method
- create volume type with repeated name
- Add experimental job to run test with 'latest' microversion

* Mon Sep 13 2021 OSP Prod Chain <dev-null@redhat.com> 1:28.1.0-0.20210913221832.ad2c300
- Update patches
- Expected success status for "QoS rule update APIs" is "200 OK"
- test update volume type extra specs for non existent volume type
- Fix for QoS APIs: "Update" and "List" URLs
- Add missing tempest client for "QoS Limit Bandwidth" APIs + testing
- create volume type encryption nonexistent type id
- Avoid running tempest-ipv6-only for unrelated tools files
- Blacklist failing x/vmware-nsx-tempest-plugin
- Add reboot_server() helper
- Fix cleanup of default security group when preprov creds are used
- Fix test_fix_argument_yes by closing temp files
- Updating NON_ACTIVE_LIST
- Add loggable resource client
- Always enable project tags Identity tests
- Always enable application credentials Identity tests
- Fixes test_user_update_own_password test cleanup problem (New password cannnot be identical to a previous password)
- compute: Rework attach_volume waiters and cleanup
- Changes to ensure delete_containers is done at class level tear down
- Adds exception.Conflict handler to is_resource_delete function
- Fix run-tempest-26 role for stable/stein
- Add test to verify FQDN hostname sanitization
- Wait couple of seconds for dns servers to be set in the guest
- Replace deprecated import of ABCs from collections
- Switch back the tox constraint to master
- Improve dynamic cred log to include scope
- Use wallaby stable constraint in tox to release 28.0.0
- Add releasenote to tag the end of support for Train
- Add tests for glance unified quotas
- Add keystone unified limits client
- Use older run-tempest for stable branches
- Fix tempest-slow-py3: use the correct inheritance chain
- Make explicit the network backend used in the CI jobs
- Fix test_network_quota_exceeding test
- Add log resource client
- Remove non existing puppet-openstack-integration from check pipeline
- Add volume_size_extend opt for volume tests
- Skip network creation for system and domain scoped token
- Remove skip for test_fix_argument_yes unit test
- Use volume_type option in tempest.conf in compute api test
- Remove "active" attribute from the allowed_address_pairs
- Enable swift in tempest-slow-py3 job
- Move verify-ipv6-only-deployments
- Move stable job definition to stable-jobs.yaml
- Fix up the tempest-full-py3 job configurations
- Update IRC network to OFTC
- Add tests for "new" Transfers API (mv 3.55)
- Remove old deprecated Token clients
- Stop testing volume v2 APIs
- Deprecate image v1 service clients
- Remove volume v1 service clients
- Update encryption-type-create
- Add list resource provider usage
- Add wait to check the import task status
- Fix hacking check for service client
- Bump the openstack-python3 jobs to xena
- Add stestr master job
- Add waiter for test_live_migration_with_trunk
- Remove usage of six
- Remove usage of six
- Remove usage of six
- Add live migration with trunk test
- Fix TEMPEST_VENV_UPPER_CONSTRAINTS default value comparision
- Add Tempest gate job for stable/wallaby
- Skip ide and ephmoral storage on aarch64
- Cleans up volume backups after test run.
- Remove unicode from code
- Add release notes page for version 27.0.0
- Fix unstability in test_subnet_details
- Use the master constraint in tox.ini again
- Add volume services schema for microversion 3.7

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 1:27.0.0-0.20210528070212.771fee4
- Update patches

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 1:27.0.0-1
- Update patches
- Add releasenote to tag the Tempest for Wallaby release
- Add 26.1.0 releasenote page
- Use stable constraint in tox to release new tag for Wallaby
- Add a reno for scenario manager effort
- Add tempest.scenario.manager as stable interface for plugins
- Move flavor client in cls.setup_compute_client()
- Rename create_networks to correct name as per its functionality
- Move floating IP operation from nova-network to neutron

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add delete_on_termination for compute API v2.79 - os-volume_attachments
- Remove nova-network from scenario tests
- Add client for assisted volume snapshots API.
- Update oslo.utils minimal version
- Switch to new rolevar for run-temepst role

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove deprecated scenario img_dir option

* Sat Mar 20 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- setup.cfg: Replace dashes with underscores

* Fri Mar 19 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Uncap PrettyTable
- Add documentation on the usage of keystone's scope & roles
- Make image metadef tests admin-only
- Skip failing test test_fix_argument_yes
- Fix test_verify_tempest_config unit tests
- Add image task validation
- Create tmd dir with specific prefix in check-uuid unit tests
- compute: Add [compute-feature-enabled]ide_bus flag
- Negative test for web-download import
- Pass region to the alternate image client
- Make _get_router() non-private
- Make _create_empty_security_group() non-private
- Test glance distributed import
- Make _get_server_port_id_and_ip4() non-private
- Make _create_security_group() non-private
- Replace md5 with oslo version
- Finally remove the old data-utils
- Use configured upper-constraints for non-master Tempest run
- Remove the unused _api_version variable from volume tests

* Sun Mar 07 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add release notes for an Wallaby intermediate release.
- Support scope in dynamic cred for specific roles
- Update dynamic creds to properly handle types during creation

* Sat Mar 06 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add bandwidth inventory to the subnodes in tempest-multinode-full-py3
- Update subunit_describe_calls about new ports
- Add alt project persona in dynamic credential

* Thu Mar 04 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Wed Mar 03 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Implementation of create_subnet() varies in manila-tempest-plugin
- Make _get_network_by_name() non-private
- [part1] Remove six
- Remove usage of six
- Make _create_network() non-private
- Remove usage of six
- Make _cleanup_volume_type non-private
- Add option to support volume_type in volume creation
- Add wait_for_resource_deletion for swift api clients
- test_live_migration: Rename test_iscsi_volume
- Remove deprecated config options for volume API selection
- add unitest for api of resource providers inventories

* Sun Feb 21 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove usage of six
- Allow use custom uppper constraints in stable/stein

* Sat Feb 20 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add log for all assigned roles for dynamic cred users
- Remove usage of six
- Drop base grenade job for nova

* Fri Feb 19 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add release note and fix some TODO from system scope support

* Thu Feb 18 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Wed Feb 17 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Enable swift in tempest-full-py3
- Enable devstack parallel installation in tempest-full-parallel job
- Make create_user domain-aware for V3CredsClient
- Test glance reserved properties

* Tue Feb 16 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Optimize the check pipeline runtime

* Sun Feb 14 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- change ipv6 public network cidr on tempest-slow job
- Allow kwargs in create_volume_snapshot
- Fix run-tempest black/exclude var setting
- Modify the port fake data according to api reference
- add unittest for trust client operation interface in identity part
- Implemetation of tempest client for keystone v3 OS_FEDERATION API
- Fix race condition for image test
- Fix --exlude typo in tox.ini
- Disable file injection tests until bug/1882421
- Create default network for server advance scenario tests
- Make import wait check for store status
- Refactor skip_because decorator
- Make _create_security_group_rule non-private
- Make _create_loginable_secgroup_rule non-private
- Change Review merge policy from two +2 to single +2 requirement
- Add config option for enforce_scope
- Fix system & domain scoped admin dynamic credential
- Remove tempest/manager.py after 4 year deprecation
- Inclusive jargon
- Remove deprecated test.idempotent_id decorator
- Update microversion doc for compute microversion 2.3
- Allow kwargs in create/restore_backup
- Allow kwargs in _get_router

* Sat Feb 06 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Make _log_console_output non-private

* Sun Jan 31 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Test for changing QoS policy with min bw of bound port

* Tue Jan 26 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- test_encrypted_cinder_volumes: Do not create an image for this test
- 1912117: Fix the IP URL for metadata service in fixed network scenario
- Make random_bytes() enforce sane size limits
- Add release note for new role client methods
- Add default RBAC personas to pre-provisioned creds
- Add default RBAC personas to dynamic credentials

* Fri Jan 22 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Move horizon test from tempest-horizon to tempest
- Fix project/domain scope in dynamic_creds
- Fix memory explosion in multi-store image tests
- Delete wrong argument from creating HTTP connection
- Use CONF.identity.disable_ssl_certificate_validation in object_client
- Add client methods and tests for system grants
- Add system scope for admin auth
- Pass custom args to create_port through create_server
- Use proper kwargs in rebuild_server

* Fri Jan 08 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Sat Dec 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Sat Dec 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove stable/stein testing jobs

* Tue Dec 22 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Tue Dec 22 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- scenario: Use wait_for_volume_attachment_remove_from_server in nova_volume_detach
- Add release notes page for version 26.0.0
- Also calculate external subnets when check cidr whether in use

* Mon Dec 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Mon Dec 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Revert "Use victoria stable constraint in tox to release 26.0.0"
- Use victoria stable constraint in tox to release 26.0.0
- Add releasenote to tag the end of support for Stein
- Remove slow tag from test_minbw test

* Mon Dec 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Mon Dec 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Mon Dec 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Sun Dec 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Stabilize _create_loginable_secgroup_rule

* Fri Dec 11 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Thu Dec 10 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove unused LOG var in test_stamp_pattern.py
- Need to add kwargs for the api

* Wed Dec 09 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Tue Dec 08 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove race due to 1907084
- New minimum guaranteed bandwidth tests
- Fix indentation for the example code in documentation.
- Allow kwargs in get_timestamp
- Allow additional port_vnic_type
- compute: Skip AttachVolumeShelveTestJSON when cross_az_attach unavailable
- Added apis to scenario manager
- Fix TypeError when there exists image with size None

* Fri Dec 04 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Allow kwargs in create_server_snapshot
- Need to have stable implementation of apis
- Allow kwargs in create_volume_from_image
- Allow kwargs in image_create
- Add tag in compute interfaces schema for microversion 2.70

* Fri Dec 04 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Thu Dec 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Cleanup server before image at test level
- compute: Cleanup server before image in AttachSCSIVolumeTestJSON
- Decentralize the zuul jobs into zuul.d
- Change help string to use openstack instead of neutron
- Fix "TypeError: format requires a mapping" in waiters
- Add related test to Bug #1732428
- Allow kwargs in create_timestamp
- Remove six.PY3/six.PY2
- Allow kwargs in _get_server_port_id_and_ip4
- Allow kwargs in create_floating_ip
- Allow kwargs in create_volume_type
- Allow kwargs in create_keypair

* Fri Nov 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Skip test_create_object_with_transfer_encoding
- [Trivial]Remove unused variables
- Allow kwargs in nova_volume_attach
- Allow kwargs in create_floating_ip
- Allow kwargs in get_server_ip
- Allow kwargs in create_volume
- Allow kwargs in boot_instance_from_resource
- Allow kwargs in _log_console_output
- Test attach scsi disk with config drive enabled
- Replace display_name by name in scenario manager
- Skip adding host to aggregate with az if host already in other zone

* Tue Nov 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Mon Nov 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Mon Nov 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Mon Nov 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Sat Nov 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- [Trivial]Remove unused variables and methods
- [Trivial]Do not use cls in instance method
- Skip test_server_rescue with volumes when there is no Cinder
- Check VM's console log before trying to SSH to it.

* Sat Nov 14 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add glance multistore job (nv) in tempest gate

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove 'gabbi_tempest_path' from devstack-tempest job
- Clarify tempest-full job description
- Set image_alt_ssh_user during stack
- Replace assertItemsEqual with assertEqual
- Fix incorrect compute api microversion history links
- Fix url link for get_remote_console interface

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Tue Nov 10 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Fri Nov 06 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add glance image import copy-image tests

* Thu Nov 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Improve tempest-cleanup ansible role
- Unskip Device detach compute tests on Focal

* Thu Nov 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Thu Nov 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Thu Nov 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Thu Nov 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Thu Nov 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Thu Nov 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Thu Nov 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Thu Nov 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Thu Nov 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Thu Nov 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Wed Nov 04 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- New list config option to list network features without API extension

* Sun Nov 01 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- zuul: Move tempest-integrated-compute to Focal

* Thu Oct 29 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Make neutron-tempest-dvr job non-voting
- Fix error that instance could not be found
- Delete test_reboot_server_soft
- Add Tempest gate job for stable/victoria
- Retry on ServerFault in call_and_ignore_notfound_exc()
- add unittest for endpoints operation interface in identity part
- Skip additional test if 'xenapi_apis' flag is False
- Check port allocation for VM with resource request
- Add placement API methods for testing routed provider nets
- Fix victoria releasenote to align yaml format
- Add glance multistore tests
- Add keystone v3 EC2 credential tests and client
- Remove install unnecessary packages
- Add missing keystone clients
- Migrate tempest jobs to focal
- Revert "Use stable constraint in tox to release new tag for Victoria"
- Adding description for testcases - compute part11
- Updating the paramiko version to 2.7.0 or greater
- Add 'xenapi_apis' compute feature flag
- compute: Wait until server is ACTIVE before deleting during resource_setup
- Add missing replication_status in group schema
- Use the correct attachment id for multiattach.
- Use assert_has_calls() correctly.
- Volume backup response schemas are incorrect
- Use os.path.join as possible
- Add response schema validation for volume manage
- Fix import line location
- Create documentation for tests
- Fix flavor NotFound in test_resize_server_revert_deleted_flavor
- Adding description for testcases - swift part1
- Adding description for testcases - volume part3
- Adding description for testcases - compute part10
- Adding description for testcases - compute part8
- Set max_microversion 2.56 for ServerPersonalityTestJSON
- Move process-stackviz role from Tempest to Devstack
- Add missing attachments schema in servers.py
- Fix test_list_flavors for compute microversion 2.55
- Fix negative tests of update_volume for volume microversion 3.59
- Modify the fake data according to api reference
- volume: Introduce extend attached encrypted volume tests
- Add show types API to v3 types client library
- Modify the fake data for test_networksks_client for v3
- Add Access Rules tests
- Added stestr for running test using pdb flag

* Tue Oct 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Mon Oct 19 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Thu Oct 01 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- add unittest for endpoints operation interface in identity part
- Add placement API methods for testing routed provider nets
- Fix victoria releasenote to align yaml format
- Add glance multistore tests
- Add keystone v3 EC2 credential tests and client
- Add missing keystone clients
- Migrate tempest jobs to focal
- Revert "Use stable constraint in tox to release new tag for Victoria"
- Adding description for testcases - compute part11
- Updating the paramiko version to 2.7.0 or greater
- Add 'xenapi_apis' compute feature flag
- compute: Wait until server is ACTIVE before deleting during resource_setup
- Use the correct attachment id for multiattach.
- Use assert_has_calls() correctly.
- Volume backup response schemas are incorrect
- Use os.path.join as possible
- Add response schema validation for volume manage
- Fix import line location
- Create documentation for tests
- Fix flavor NotFound in test_resize_server_revert_deleted_flavor
- Adding description for testcases - swift part1
- Adding description for testcases - volume part3
- Adding description for testcases - compute part10
- Adding description for testcases - compute part8
- Move process-stackviz role from Tempest to Devstack
- Fix test_list_flavors for compute microversion 2.55
- volume: Introduce extend attached encrypted volume tests
- Modify the fake data for test_networksks_client for v3
- Add Access Rules tests
- Added stestr for running test using pdb flag
- add unittest for endpoints operation interface in identity part
- Add placement API methods for testing routed provider nets
- Fix victoria releasenote to align yaml format
- Add glance multistore tests
- Add keystone v3 EC2 credential tests and client
- Add missing keystone clients
- Migrate tempest jobs to focal
- Revert "Use stable constraint in tox to release new tag for Victoria"
- Adding description for testcases - compute part11
- Updating the paramiko version to 2.7.0 or greater
- Add 'xenapi_apis' compute feature flag
- compute: Wait until server is ACTIVE before deleting during resource_setup
- Use the correct attachment id for multiattach.
- Use assert_has_calls() correctly.
- Volume backup response schemas are incorrect
- Use os.path.join as possible
- Add response schema validation for volume manage
- Fix import line location
- Create documentation for tests
- Fix flavor NotFound in test_resize_server_revert_deleted_flavor
- Adding description for testcases - swift part1
- Adding description for testcases - volume part3
- Adding description for testcases - compute part10
- Adding description for testcases - compute part8
- Move process-stackviz role from Tempest to Devstack
- Fix test_list_flavors for compute microversion 2.55
- volume: Introduce extend attached encrypted volume tests
- Modify the fake data for test_networksks_client for v3
- Add Access Rules tests
- Added stestr for running test using pdb flag

* Wed Sep 30 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- add unittest for endpoints operation interface in identity part
- Add placement API methods for testing routed provider nets
- Fix victoria releasenote to align yaml format
- Fix import line location
- Fix flavor NotFound in test_resize_server_revert_deleted_flavor
- Modify the fake data for test_networksks_client for v3

* Tue Sep 29 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add glance multistore tests
- Adding description for testcases - swift part1
- Added stestr for running test using pdb flag

* Sat Sep 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add keystone v3 EC2 credential tests and client
- Add missing keystone clients
- Migrate tempest jobs to focal
- Add Access Rules tests

* Wed Sep 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Updating the paramiko version to 2.7.0 or greater
- volume: Introduce extend attached encrypted volume tests

* Mon Sep 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Fri Sep 18 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Revert "Use stable constraint in tox to release new tag for Victoria"
- Add releasenote to tag the Tempest for Victoria release
- Use stable constraint in tox to release new tag for Victoria

* Fri Sep 18 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Fri Sep 18 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Thu Sep 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Adding description for testcases - compute part11
- Fix test_allowed_address_pair test case cleanup
- Move process-stackviz role from Tempest to Devstack

* Tue Sep 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add 'xenapi_apis' compute feature flag
- compute: Wait until server is ACTIVE before deleting during resource_setup
- Use the correct attachment id for multiattach.
- Use os.path.join as possible
- Adding description for testcases - compute part8
- Fix test_list_flavors for compute microversion 2.55

* Thu Sep 10 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Wed Sep 09 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Use assert_has_calls() correctly.
- Volume backup response schemas are incorrect
- Add response schema validation for volume manage
- Create documentation for tests
- Skip test_qos_min_bw_allocation_basic when not supported
- Adding description for testcases - volume part3
- Adding description for testcases - compute part10

* Mon Sep 07 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Need to have stable implementation of nova_volume_detach() and add missing docstrings
- Adding description for testcases - swift part3
- Adding description for testcases - volume part5
- Adding description for testcases - compute part12
- Adding description for testcases - compute part9
- Adding description for testcases - compute part7
- Adding description for testcases - compute part6

* Sat Sep 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Adding description for testcases - swift part2
- Adding description for testcases - volume part4
- Add response schema validation for volume backups
- Add response schema validation for volume groups

* Fri Sep 04 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Need to have stable tempest scenario manager
- Use the networking-l2gw project new location
- remote_client: Use blkid -L to find config drive by filesystem label
- Do not specify a host for live-migration for non homogeneous nodes

* Fri Sep 04 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Wait until dependent resource is deleted

* Sat Aug 29 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Use of single interface for creating image

* Fri Aug 28 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add new tests for check-uuid tool

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix and unskip test_list_servers_filtered_by_ip_regex

* Thu Aug 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Improve unit tests for subunit_describe_calls

* Fri Aug 14 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Adding description for testcases - identity part2
- Add response schema validation for volumes

* Thu Aug 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add skip flags for block level live migration

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Fri Aug 07 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Adding description for testcases - compute part3

* Wed Aug 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add default headers to the volume show_version request

* Tue Aug 04 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Enable xindy for PDF build

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add glance image import web-download tests

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add response schema validation for volume group snapshots

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Adding description for testcases - identity part5

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Adding description for testcases - compute part5

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix KeyError exc in volumes_client

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Adding description for testcases - compute part4

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Adding description for testcases - identity part3
- Adding description for testcases - network part3

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Adding description for testcases - network part1

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Adding description for testcases - volume part2

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Adding description for testcases - network part2
- Adding description for testcases - identity part4

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Stop to use the __future__ module.

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add response schema validation for show_default_group_type

* Mon Jul 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Tempest tests for glance import workflow

* Wed Jul 22 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Document the process to pin the constraint in tox.ini

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- zuul: clean up some legacy jobs

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix tempest plugin cookicutter repo path

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Unstable test_server_connectivity_cold_migration_revert

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove checking of Accept-Range header

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix pygments style

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Cap jsonschema 3.2.0 as the minimal version

* Thu Jul 09 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove any reference to "tenant_id" in network

* Thu Jul 09 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Replace mock by unittest.mock in 2 forgotten cases

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove deprecated scenario image options

* Fri Jul 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix pdf-doc build by skiping the sample file

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- object storage: fix and cleanup header checks

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add unit tests for check_uuid.py
- Add check_service_availability test

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix test_get_service_by_invalid_params for microversion 2.75

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Unstable test_container_synchronization

* Tue Jun 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Prevent raising exception if IP address is set in _hotplug_server

* Tue Jun 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix the argument check for account-generator

* Mon Jun 22 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix request body for compute unshelve action API

* Sat Jun 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Use python3 venv instead of virtualenv

* Wed Jun 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix 404 when deleteing volume group

* Tue Jun 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- [compute] Blacklist test_create_second_image due to race

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Change 'Member' role reference to 'member'

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix flavor swap default value for compute microversion 2.75

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Don't use deprecated configparser.readfp

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Move the grenade-py3 job to new zuulv3 grenade job name

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add release notes page for version 24.0.0

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Set TOX_CONSTRAINTS_FILE

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix typo in contributor guide

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Use the master constraint again in tox.ini

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Create default network for compute rescue tests

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Use stable constraint in tox to release new tag for Ussuri

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add releasenote to tag the Tempest for Ussuri release

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- [ussuri][goal] Update contributor documentation
- Catch json.loads exceptions in verify_device_metadata

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix noVNC failed TCs

* Sat Apr 18 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- compute: Add stable device rescue tests

* Sat Apr 18 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Document the policy for Tempest & its plugins release
- [Trivial]Do not use self in class method

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Adding description for testcases - identity part1
- Adding description for testcases - volume part1
- Adding description for testcases - compute part2
- [Trivial]Add space between words in log message

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- compute: Add missing 2.73 response schema validation
- Add --worker-file option in tempest

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add logs for plugins data

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Explicitly handle baremetal ports when checking if they are active
- Adding description for testcases - compute part1

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix deletion of network quotas

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add glare and taas to blacklist
- Pass clients to compute base's create_test_server

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Keystone - List user groups 'membership_expires_at' attribute

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- add unittest for create and list resource types association
- Fixed test related to tag-ext

* Wed Apr 08 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- compute: Add negative volume update multiattach test
- compute: Use valid extra specs to test 'os-extra_specs' API

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Modify the incorrect fake data

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Update hacking for Python3

* Sun Apr 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove universal wheel building

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Check no specific group present in group list
- Support force-deletion of servers.

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Replace old requires-python with python-requires

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Blacklist x/kingbird project from sanity-check

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fixes race condition in test_add_remove_fixed_ip

* Wed Mar 25 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Create default network for compute volume and negative metadata tests

* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Make tempest-multinode-full py2 job on py2

* Sat Mar 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- add unittest for delete resource types association
- services: Introduce a cinder v3 attachments client

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add subnet_id option
- Cleanup images properly
- modify status code according to the latest API documentation
- Delete network quotas
- Prevent SSH client proxy loops
- Update README for run-tempest role
- Modify the application credentials fake data
- Add response schema validation for volume types
- Add response schema validation for volume quota classes

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- modify status code according to the latest API documentation
- Delete network quotas
- Prevent SSH client proxy loops
- Update README for run-tempest role
- Add response schema validation for volume types
- Add response schema validation for volume quota classes
- modify status code according to the latest API documentation
- Delete network quotas
- Prevent SSH client proxy loops
- Update README for run-tempest role
- Add response schema validation for volume types
- Add response schema validation for volume quota classes

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Update README for run-tempest role

* Tue Mar 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- modify status code according to the latest API documentation

* Sun Mar 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Delete network quotas
- Add response schema validation for volume types
- Add response schema validation for volume quota classes

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Prevent SSH client proxy loops

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Ensure bootable volume is gone in scenario test before tearDown

* Wed Mar 04 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Wed Mar 04 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove devstack-plugin-ceph-tempest py2 job
- Do not force live migration outside of Availability zone

* Mon Mar 02 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Mon Mar 02 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Set 3h timeout for tempest-ipv6-only job

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Added fix to 'test_delete_saving_image' testcase

* Thu Feb 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- add unittest for delete tag definition interface

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- add unit test for delete_group_user method
- Deprecate spice_console and rdp_console config items
- Improve response data of test_routers_client

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add validation_resources in test_resize_volume_backed_server_confirm
- compute: Deprecate [compute-feature-enabled]/block_migrate_cinder_iscsi
- Remove indentation for bullet list
- Modify the response in test_snapshots_client
- Relax volume compare in test_minimum_basic_scenario

* Mon Feb 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- compute: Use wait_for_volume_attachment_remove when detaching multiattach volumes
- Remove the deprecated verify-tempest-config CLI

* Mon Feb 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add missing waiter to test_tagged_attachment
- Removal of deprecated argument[os-tenant-name]

* Sat Feb 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Re-enable the stable rocky job

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- [ussuri][goal] Drop python 2.7 support and testing
- add unittest for agent operation interface in network part

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- waiters: Add wait_for_volume_attachment_remove
- Refactor methods to be used by other tests

* Sat Feb 08 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- compute: Add volume and placement microversion support to BaseV2ComputeTest
- Disable stable/rocky temporarily on Tempest master
- Use stable constraint in run-tempest for stable branch testing

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- tox: Use python3 within tempestenv
- Drop python 3.5 support from Tempest

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Change default region for placement to empty string

* Wed Jan 29 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Create default network for more compute tests"
- Merge "Add ConsistencyGroup Exceptions in tempest"
- Merge "Fix test_stamp_pattern to remove dependency of user supplied volume name"
- Merge "Accept custom registered endpoints"
- Accept custom registered endpoints
- Fix test_stamp_pattern to remove dependency of user supplied volume name
- Add ConsistencyGroup Exceptions in tempest
- Create default network for more compute tests

* Tue Jan 28 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Define python3 as basepython for Tempest tox env"
- Define python3 as basepython for Tempest tox env

* Mon Jan 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Remove the Queens stable branch jobs from master gate"
- Remove the Queens stable branch jobs from master gate

* Sat Jan 25 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Add doc for supported OpenStack release & py version"
- Add doc for supported OpenStack release & py version

* Fri Jan 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Remove the security_group_default_rules tests"
- Remove the security_group_default_rules tests

* Fri Jan 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add release notes page for version 23.0.0

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Add releasenote to tag the end of support for Queens"
- Merge "Add release notes page for version 22.1.0"
- Add release notes page for version 22.1.0
- Add releasenote to tag the end of support for Queens

* Sun Jan 19 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Create default network for more compute tests"
- Create default network for more compute tests

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "waiters: Rearrange image and volume waiter tests"
- waiters: Rearrange image and volume waiter tests

* Tue Jan 14 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Create default network for several compute tests"
- Create default network for several compute tests

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "compute: Fix a typo within the v2_71 servers response schema"
- compute: Fix a typo within the v2_71 servers response schema

* Fri Jan 10 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Blacklist compute.volumes and compute.images API tests"
- Blacklist compute.volumes and compute.images API tests

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Remove test_agent_management tests"
- Remove test_agent_management tests

* Mon Jan 06 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Remove xvpvnc console type tests"
- Remove xvpvnc console type tests

* Sat Jan 04 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "add unittest for list namespaces interface"
- add unittest for list namespaces interface

* Fri Jan 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Add a default network when creating a server"
- Add a default network when creating a server

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Close ssh client after executing a command"
- Close ssh client after executing a command

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Add host validation after live migration"
- Add host validation after live migration

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Tempest cleanup: improve iterating over projects"
- Merge "Extend cleanup CLI to delete regions"
- Tempest cleanup: improve iterating over projects
- Extend cleanup CLI to delete regions

* Tue Dec 31 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix app cred client unit test name

* Tue Dec 17 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Update test_port_list_filter_by_ip pass conditions"
- Update test_port_list_filter_by_ip pass conditions

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "add unittest for list image members interface"
- Merge "Complete missing interface test for test_groups_client in v3"
- Merge "Added tempest subcommand for subunit_describe_calls"
- Complete missing interface test for test_groups_client in v3
- add unittest for list image members interface
- Added tempest subcommand for subunit_describe_calls

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Drop old neutron-grenade job"
- Drop old neutron-grenade job

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Replaced testr with stestr"
- Replaced testr with stestr

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Fix api-link for interface force_detach_volume"
- Merge "Fix test_attach_detach_volume test case to not rely on user/libvirt supplied disk name"
- Fix test_attach_detach_volume test case to not rely on user/libvirt supplied disk name
- Fix api-link for interface force_detach_volume

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Use python 3 on all nodes in multinode jobs"
- Use python 3 on all nodes in multinode jobs

* Tue Nov 19 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Modify the wrong response example for test_types_client in v3"
- Modify the wrong response example for test_types_client in v3

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Set irrelevant-files for bashate job"
- Set irrelevant-files for bashate job

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Remove unused opensuse150 job definition"
- Remove unused opensuse150 job definition

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "tempest cleanup - use admin_mgr only"
- tempest cleanup - use admin_mgr only

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Use the IPv6 documentation prefix as the default cidr"
- Use the IPv6 documentation prefix as the default cidr

* Fri Nov 01 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Disable c-bak service in tempest-full* jobs"
- Disable c-bak service in tempest-full* jobs

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Modify the error fake date"
- Modify the error fake date

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- tempest-plugin-sanity: respect upper-constraints

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "switch to the newly created opensuse-15 nodeset"
- switch to the newly created opensuse-15 nodeset

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Modify the fake date"
- Modify the fake date

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix reno typo

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Add workaround to handle the testtool skip exception in CLI test"
- Add workaround to handle the testtool skip exception in CLI test

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Remove timer and _log_request() calling"
- Remove timer and _log_request() calling

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Modify the create user fake data"
- Modify the create user fake data

* Wed Oct 09 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Add Tempest gate job for stable/train"
- Add Tempest gate job for stable/train

* Wed Oct 09 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Add release notes page for version 22.0.0"
- Add release notes page for version 22.0.0

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Move upload/download image action to right place"
- Move upload/download image action to right place

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add release note for log_req_body kwarg
- Fix the logging of request body credentials

